body{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.arrow i{
    font-size: 30px;
    font-weight: 300;
    color: #0A66C2;
}

.contact{
    padding:100px 10%;
    display:flex;
    justify-content:center;
    align-items:center;
}

.contact-card{
    width:100%;
    max-width:600px;
    background:#f3f2ef;
    border:1px solid rgba(255,255,255,0.1);
    border-radius:35px;
    padding:50px;
    position:relative;
    overflow:hidden;
    box-shadow:0 10px 40px rgba(0,0,0,0.4);
}

/* MONKEY */
.contact-avatar{
    width:120px;
    height:120px;
    background:#f3f2ef;
    border:2px solid #0A66C2;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:85px;
    margin:0 auto 35px;
    position:relative;
    transition:0.4s;
    animation: blink 6s infinite;
}

/* Eyes */
.contact-avatar::before{
    content:"◕ ◕";
    position:absolute;
    font-size:20px;
    top:48px;
    color:#111;
    animation: eyeBlink 6s infinite;
}

/* Blink Animation */
@keyframes eyeBlink{
    0%, 95%, 100%{
        content:"◕ ◕";
    }

    96%{
        content:"─ ─";
    }
}

/* Head movement when typing */
.contact-form:focus-within ~ .contact-avatar,
.contact-card:focus-within .contact-avatar{
    animation:
    lookAround 1.5s infinite alternate,
    blink 6s infinite;
}

@keyframes lookAround{
    0%{
        transform:rotate(-5deg);
    }

    100%{
        transform:rotate(5deg);
    }
}

/* FORM */
.contact-form{
    display:flex;
    flex-direction:column;
    gap:20px;
}

.contact-form h2{
    color:black;
    text-align:center;
    font-size:30px;
    font-weight: 400;
    margin-bottom:15px;
}

.contact-form input,
.contact-form textarea{
    width:100%;
    padding:18px;
    border:none;
    outline:none;
    border-radius:16px;
    background:#ffffff;
    color: #000;
    font-size:17px;
    border:1px solid transparent;
    transition:0.3s;
}

.contact-form input:focus,
.contact-form textarea:focus{
    border:1px solid #2d333b;
    box-shadow:0 0 12px rgba(10, 102, 194, 1);
}

.contact-form textarea{
    resize:none;
}

.contact-form button{
    border:none;
    padding:18px;
    border-radius:16px;
    background: #0A66C2;
    color:white;
    font-size:17px;
    font-weight:600;
    cursor:pointer;
    transition:0.3s;
}

.contact-form button:hover{
    transform:translateY(-2px);
    box-shadow:0 10px 20px rgb(1, 32, 62);
}


/* mobile */

@media(max-width:768px){

    .contact{
        padding:80px 20px;
    }

    .contact-card{
        padding:35px 25px;
        border-radius:25px;
    }

    .contact-avatar{
        width:95px;
        height:95px;
        font-size:65px;
        margin-bottom:25px;
    }

    .contact-avatar::before{
        top:38px;
        font-size:16px;
    }

    .contact-form h2{
        font-size:26px;
    }

    .contact-form input,
    .contact-form textarea{
        padding:15px;
        font-size:15px;
    }

    .contact-form button{
        padding:15px;
        font-size:15px;
    }

}